Get an entitlement
Entitlements · getEntitlement
GET
/projects/{projectId}/entitlements/{entitlementId}Base URL: https://api.businessmode.io/v1
Authentication
Developer bearer token
The requirement above comes from this operation's OpenAPI security declaration. See Authentication.
Parameters
| Name | In | Required | Type and constraints |
|---|---|---|---|
projectId | path | Yes | stringFormat: uuid · Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$ |
entitlementId | path | Yes | stringFormat: uuid · Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$ |
Request body
No request body is defined.
Responses
For status codes, request IDs, and safe retry decisions, see Errors & recovery. Known-code descriptions below are operation-specific, not a complete global error enum.
200 Successful response.
Content type: application/json
object · EntitlementResponse
- No additional properties
| Field | Type | Required | Description / constraints |
|---|---|---|---|
createdAt | string | Yes | Format: date-time · Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$ |
description | anyOf | Yes | View nested schemaanyOf anyOf · 2 alternatives Alternative 1string
Alternative 2null |
id | string | Yes | Format: uuid · Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$ |
key | string | Yes | Pattern: ^[a-z0-9][a-z0-9._:-]*$ · Minimum length: 1 · Maximum length: 128 |
name | string | Yes | Minimum length: 1 · Maximum length: 200 |
updatedAt | string | Yes | Format: date-time · Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$ |
400 Invalid request.
Content type: application/json
object · ErrorResponse
- No additional properties
| Field | Type | Required | Description / constraints | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
error | object | Yes | No additional propertiesView nested schemaobject
|
401 Authentication failed.
Content type: application/json
object · ErrorResponse
- No additional properties
| Field | Type | Required | Description / constraints | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
error | object | Yes | No additional propertiesView nested schemaobject
|
404 The authorized resource was not found.
Content type: application/json
object · ErrorResponse
- No additional properties
| Field | Type | Required | Description / constraints | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
error | object | Yes | No additional propertiesView nested schemaobject
|
429 Too many requests. Honor Retry-After before retrying with the same logical Idempotency-Key, where required. Known error codes: rate_limit_exceeded.
Content type: application/json
object · ErrorResponse
- No additional properties
| Field | Type | Required | Description / constraints | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
error | object | Yes | No additional propertiesView nested schemaobject
|
500 An unexpected server error occurred.
Content type: application/json
object · ErrorResponse
- No additional properties
| Field | Type | Required | Description / constraints | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
error | object | Yes | No additional propertiesView nested schemaobject
|